Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.dvsl
Interface DVSLNode

All Known Implementing Classes:
  Dom4jNodeImpl

    public interface DVSLNode

wrapper interface for nodes exposed in the template. Isolates the in-VSL DOM from that of the underlying implementation

Author:
  Geir Magnusson Jr.

Method Summary
`java.lang.String` | `attrib(java.lang.String attribute)` returns attribute
`java.util.List` | `children()` returns a list of all children of the current node
`java.lang.String` | `copy()` renders a deep copy of the XML tree below the current node to the output
`java.lang.String` | `copy(java.util.List nodeList)` renders a deep copy of the nodes in the list ot the output
`DVSLNode` | `get(java.lang.String xpath)`
`java.util.Map` | `getAttribMap()`
`java.lang.Object` | `getNodeImpl()` returns the object corresponding to the node in the implementaion that we are using.
`java.lang.String` | `name()` returns the name of the node
`java.util.List` | `selectNodes(java.lang.String xpath)` returns a list of nodes that satisfy the xpath
`DVSLNode` | `selectSingleNode(java.lang.String xpath)` returns a single node that satisfies the xpath
`java.lang.String` | `toString()` returns the 'value' of the node
`java.lang.String` | `value()` returns the 'value' of the node
`java.lang.Object` | `valueOf(java.lang.String xpath)` returns the value of the XPAth expression

Method Detail

### name

    java.lang.String name()

  returns the name of the node

### value

    java.lang.String value()

  returns the 'value' of the node

### valueOf

    java.lang.Object valueOf(java.lang.String xpath)

  returns the value of the XPAth expression

### attrib

    java.lang.String attrib(java.lang.String attribute)

  returns attribute

### selectNodes

    java.util.List selectNodes(java.lang.String xpath)

  returns a list of nodes that satisfy the xpath

### selectSingleNode

    DVSLNode selectSingleNode(java.lang.String xpath)

  returns a single node that satisfies the xpath

### get

    DVSLNode get(java.lang.String xpath)

### copy

    java.lang.String copy()

  renders a deep copy of the XML tree below the current node to the output

### copy

    java.lang.String copy(java.util.List nodeList)

  renders a deep copy of the nodes in the list ot the output

### children

    java.util.List children()

  returns a list of all children of the current node

### toString

    java.lang.String toString()

  returns the 'value' of the node

  Overrides:
    `toString` in class `java.lang.Object`

### getNodeImpl

    java.lang.Object getNodeImpl()

  returns the object corresponding to the node in the implementaion that we are using. use only with the greatest of care

### getAttribMap

    java.util.Map getAttribMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Apache Software Foundation